from flask import Flask, request, jsonify, render_template
from TransformerAI.Main import *

app = Flask(__name__)
@app.route('/')
def index():
    return render_template('MainPage/mainPage.html')


@app.route('/process_message', methods=['POST'])
def process_message():
    data = request.json
    message = data.get('message')
    if message:
        responseAI = AI_response(message)
        print(responseAI)
    else:
        print("Сообщение было пустым.")
        responseAI = "В сообщении пусто, я так не играю :("

    return jsonify({'response': responseAI})

if __name__ == '__main__':
    app.run(debug=True)